<h1>Edit Emergency Vehicle</h1>

<%= form_with(model: @emergency_vehicle, local: true) do |form| %>

    <% if @emergency_vehicle.errors.any? %>
        <div id="error_explanation">
            <h2>
                <%= pluralize(@emergency_vehicle.errors.count, "error") %> prohibited this emergency vehicle from being saved:
            </h2>
            <ul>
                <% @emergency_vehicle.errors.full_messages.each do |msg| %>
                    <li><%= msg %></li>
                <% end %>
            </ul>
        </div>
    <% end %>

    <p>
        <%= form.label :rfid %>
        <%= form.text_field :rfid %>
    </p>

    <p>
        <%= form.label :ev_type %>
        <%= form.select(:ev_type, EVType::EV_TYPES) %>
    </p>

    <p>
        <%= form.label :obs %>
        <%= form.text_area :obs %>
    </p>

    <p>
        Status <%= @emergency_vehicle.status %>
    </p>        

    <p>
        <%= form.submit %>
    </p>
<% end %>

<%= link_to 'Back', emergency_vehicles_path %>